Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

I'm I the last one flying P3P firmware 1.1.9

Discussion in 'Pro/Adv Discussion' started by Tyrone the drone, Jan 22, 2016.

  1. Tyrone the drone

    Joined:
    Apr 26, 2015
    Messages:
    48
    Likes Received:
    7
    I'm a few updates behind..lol. finally decided to jump but I see 1.3,1.5, and 1.6.0040 the question is do I have to download all 3 in chronological order.
     
  2. Solar Deity

    Joined:
    Nov 29, 2015
    Messages:
    268
    Likes Received:
    144
    Location:
    Upstate NY
    No you're not the last. 1.1.9+ for me and not updating any time in the near future.

    I'm not sure from memory but I believe you have to go to 1.3.2., then 1.4. From 1.4 I remember people stating you can go to 1.6 from there.

    Anyone please correct me if I'm mistaken.

    EDIT: 1.3.2, then the latest from there. Thanks Mike.

    SD
     
    Tyrone the drone likes this.
  3. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,990
    Likes Received:
    5,591
    Location:
    US
    You need to install 1.3.2 and then you can jump right to 1.6 (or anything after 1.3.2). You can find detailed firmware installation instructions here.
     
    Tyrone the drone likes this.
  4. Tyrone the drone

    Joined:
    Apr 26, 2015
    Messages:
    48
    Likes Received:
    7
    thanks now convince me I should leave my bird alone..lol are you still flying DJI Pilot App?
     
  5. Tyrone the drone

    Joined:
    Apr 26, 2015
    Messages:
    48
    Likes Received:
    7
    Thanks
     
  6. robinb

    Joined:
    May 10, 2014
    Messages:
    2,907
    Likes Received:
    503
    Location:
    A place in the sun
    I went from 1.32 to 1.4.1 this week

    but not beyond as that then starts to enable all sort of nasties.
     
  7. UnknownCaller

    Joined:
    Mar 2, 2015
    Messages:
    499
    Likes Received:
    212
    Location:
    Tampa Florida
    1.19 is the best firmware they ever made everybody is trying to roll their firmware back there are at least a few posts a day people wanting to know how to roll back firmware I wouldn't update if I were you
     
  8. Tyrone the drone

    Joined:
    Apr 26, 2015
    Messages:
    48
    Likes Received:
    7
    Don't want any nasties!
     
  9. Tyrone the drone

    Joined:
    Apr 26, 2015
    Messages:
    48
    Likes Received:
    7
    That's pretty convincing maybe I'll leave well enough alone I did install DJI Go on one device and left DJI Pilot on the other
     
  10. Wolfiesden

    Joined:
    Jan 12, 2016
    Messages:
    1,187
    Likes Received:
    400
    Location:
    Milwaukee, WI, Ft Walton Beach, FL
    Ok, maybe it sounds like a silly question but, what does the plus mean (+) on the version?
     
  11. Gsujeff55

    Joined:
    Oct 7, 2015
    Messages:
    116
    Likes Received:
    32
    Stay at 1.4 unless you don't care about nfz and the like.
     
  12. low_budget

    Joined:
    Dec 20, 2015
    Messages:
    34
    Likes Received:
    9
    Location:
    Missouri, USA
    I think the "+" after firmware version means you can't downgrade to a previous version (there are a couple firmwares dji lets you downgrade one.)
     
    #12 low_budget, Jan 22, 2016
    Last edited: Jan 23, 2016
  13. ParsnipHysorter

    Joined:
    Sep 28, 2015
    Messages:
    220
    Likes Received:
    174
    I liked 1.4. Then I had too much to drink and read that if I like my firmware I can keep my firmware, so I upgraded to 1.6, and now I regret it. Significant performance hobbling with 1.6.
     
    MichaelR, low_budget and Dirty Bird like this.
  14. Wibble

    Joined:
    Feb 7, 2015
    Messages:
    1,313
    Likes Received:
    478
    Location:
    Brecon Beacons Wales UK
    I am on 1.1.9+ still. If it ain't broke don't fix it. Zero problems and 100% faith in my P3!
     
    Tyrone the drone likes this.
  15. Bigskyflyer

    Joined:
    Jun 14, 2015
    Messages:
    117
    Likes Received:
    71
    Location:
    SW Montana
    Went from 1.19 to 1.26 and got the vps bug, when 1.3.20 came out I upgraded to it and the vps issue was fixed and it flies flawlessly(130+ perfect flights). I have no intentions of leaving 1.3.20.
     
  16. Tyrone the drone

    Joined:
    Apr 26, 2015
    Messages:
    48
    Likes Received:
    7
    Is it safe to say don't believe the release notes.. Staying on 1.1.9 for now. Thanks everybody
     
    flyNfrank and Palmai Universe like this.
  17. Wibble

    Joined:
    Feb 7, 2015
    Messages:
    1,313
    Likes Received:
    478
    Location:
    Brecon Beacons Wales UK
    I would love to run Litchi - is it possible on my old firmware I refuse to update!
     
  18. DiluxEdition

    Joined:
    Jun 30, 2015
    Messages:
    200
    Likes Received:
    50
    If your not on 1.1.9, the next best firmware is 1.4.1, which gives you follow me, poi and waypoints, plus it functions with litchi and other apps.
     
    MichaelR likes this.
  19. flyNfrank

    Joined:
    Feb 1, 2014
    Messages:
    4,222
    Likes Received:
    914
    Location:
    Indy, USA
    At this point your A/C has a higher value due being at 1.1.9. However, soon as the team of hackers crack the firmware, your A/C will no longer be a minority. At that point you can experiment and see which firmware flavors your taste.
     
    Tyrone the drone likes this.
  20. wooglin

    Joined:
    Dec 25, 2015
    Messages:
    133
    Likes Received:
    29
    You can downgrade to any version you like it is just a pain. Splogge method works well.